```{index} single: IO::Compress ``` # IO::Compress read/write compressed data in multiple formats ## DESCRIPTION This is a stub module. It contains no code. ## AUTHOR Paul Marquess `pmqs@cpan.org`. ## COPYRIGHT Copyright (c) 2011-2026 Paul Marquess. All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself. ## Modules - [`IO::Compress::Base`](Compress/Base.md) - Base Class for IO::Compress modules - [`IO::Compress::Bzip2`](Compress/Bzip2.md) - Write bzip2 files/buffers - [`IO::Compress::Deflate`](Compress/Deflate.md) - Write RFC 1950 files/buffers - [`IO::Compress::Gzip`](Compress/Gzip.md) - Write RFC 1952 files/buffers - [`IO::Compress::RawDeflate`](Compress/RawDeflate.md) - Write RFC 1951 files/buffers - [`IO::Compress::Zip`](Compress/Zip.md) - Write zip files/buffers ```{toctree} :hidden: :maxdepth: 1 Compress/Base Compress/Bzip2 Compress/Deflate Compress/Gzip Compress/RawDeflate Compress/Zip ```